[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#227257: marked as done (swapd: freemem() function should account only 'MemFree' and 'SwapFree' numbers, not 'Buffers' and 'Cached')

Your message dated Wed, 1 Sep 2010 15:36:06 +0200
with message-id <20100901133606.GJ12469@melusine.alphascorpii.net>
and subject line Package got removed
has caused the Debian Bug report #227257,
regarding swapd: freemem() function should account only 'MemFree' and 'SwapFree' numbers, not 'Buffers' and 'Cached'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

227257: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=227257
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: swapd
Version: 0.2-10
Severity: wishlist

I observe swapd in action on quite big file server (lot of Samba and
some NFS processes). I often see that swap space is 100% filled, but
swapd does not add more swap files. That's because 'Buffers' and 'Cached'
numbers added to the total 'freemem' make it big enough for swapd
to do nothing. I think swapd should ensure that system has enough free
swap space to swap out inactive data pages from processes. Lot of smbd
processes have quite a lot of inactive pages that could be swapped out.
In this way, the system can more effectively cache files in RAM.

Hope, you'll implement that change, that's quite simple.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux fluffy 2.6.1-mm2 #1 Sat Jan 10 12:48:17 EET 2004 i686
Locale: LANG=uk_UA, LC_CTYPE=uk_UA

Versions of packages swapd depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an

-- no debconf information

--- End Message ---
--- Begin Message ---
Version: 0.2-11+rm


As the package got removed from the archive (Please see
http://bugs.debian.org/595091 for details) I hereby close these bug

Best Regards,

--- End Message ---

Reply to: